@font-face {
    font-family: cascadia;
    src: url(cascadia-code/Cascadia.ttf);
}
.body {
    margin: 0%;
    color: white;
    font-family: cascadia;
    width: 100%;
    height: auto;
    background-color: whitesmoke;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding: 0vw;

}

.main{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.checkbox{
    transform: scale(20);
}

.no {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1; /* Ensure the image is behind other content */
    opacity: 0; /* Initially hidden */
    transition: opacity 0.5s ease; /* Smooth transition */
}

.sign-up-container{
    width: 70vw;
    height: fit-content;
    margin: 7%;
    background-color: white;
    border-radius: 0.5vw;
    border-top: 0.3vw solid rgb(255, 64, 64);
    display: flex;
    flex-direction: column;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    padding: 0%;

}

.arrows{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin-left: 1vw;
    color: rgb(100, 100, 100);
    padding: 0%;
    width: 100%;
    height: auto;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin-bottom: 0.1vw;
    padding: 0%;
}

.one-of-one {
    font-weight: 500;
    font-size: small;
}

.arrows .both-arrows {
    width: 8%;
    height: auto;
    padding: 0%;
    margin-right: 2vw;
}

.arrows .close {
    width: 2%;
    margin-left: 47vw;
    cursor: pointer;
    z-index: 0;
}

.pre-form-text{
    width: fit-content;
    height: auto;
    margin-top: 0%;
    margin-left: 1.5vw;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0.5vw;
    padding: 0%;

}

.unhandled-text{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: black;
    margin-bottom: 0.3vw;
    margin-top: 0%;
}

.error-text{
    color: rgb(255, 64, 64);
    font-size: small;
    margin: 0vw;
}

.source {
    color: black;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 500;
}

.sign-up-form {
    background-color: black;
    width: 97%;
    height: fit-content;
    align-self: center;
    border-radius: 0.4vw;
    padding: 0%;
}

.form-header{
    color: rgb(224, 224, 224);
    margin-top: 15px;
    margin-left: 20px;
    margin-bottom: 20px;
    opacity: 85%;
}
.line{
    width: 100%;
    background-color: rgb(224, 224, 224);
    height: 0.01vw;
    opacity: 85%;
    margin-top: 0vw;
}

.code-text{
    width: 100%;
    color: rgb(224, 224, 224);
    opacity: 85%;
    margin-left: 2.5vw;
    line-height: 1.5vw;
    height: auto;
}

.code-text .reposition {
    position: relative;
    margin-left: -23.5px;
}

.code-text .black {
    color: black;
}

.code-text .blue {
    color:rgb(0, 183, 255);
}

.code-text .yellow {
    color: rgb(255, 217, 0);
}

.code-text .red {
    color: rgb(255, 50, 50);
}

.code-text .purple {
    color: rgb(207, 111, 254);
}

.code-text .gray {
    color: gray;
}

.code-text .name {
    border-left: 3px solid rgb(255, 217, 0);
    border-right: 3px solid rgb(255, 217, 0);
    border-top: none;
    border-bottom: none;
    border-radius: 10px;
    background-color: rgb(55, 55, 55);
}

.code-text .name:focus{
    outline: none;
    color: rgb(224, 224, 224);
    font-family: cascadia;
    width: 12%;
    height: auto;
}

.code-text .credit {
    width: 20%;
    border-left: 3px solid rgb(255, 217, 0);
    border-right: 3px solid rgb(255, 217, 0);
    border-top: none;
    border-bottom: none;
    border-radius: 10px;
    background-color: rgb(55, 55, 55);
}

.code-text .credit:focus{
    outline: none;
    color: rgb(224, 224, 224);
    font-family: cascadia;
}

.code-text .expiration-cvv {
    width: 5%;
    border-left: 3px solid rgb(255, 217, 0);
    border-right: 3px solid rgb(255, 217, 0);
    border-top: none;
    border-bottom: none;
    border-radius: 10px;
    background-color: rgb(55, 55, 55);
}

.code-text .expiration-cvv:focus{
    outline: none;
    color: rgb(224, 224, 224);
    font-family: cascadia;
}

.terms-container {
    width: 67.6vw;
    height: fit-content;
    margin-top: 2vw;
    margin-left: 1vw;
    padding: 0%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.terms {
    color: black;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 500;
    margin-top: 0%;
}

.terms-container .terms-scroll-box{
    width: 100%;
    height: 15vw;
    overflow: auto;
    border: 2px solid rgba(0, 0, 0, 0.43);
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
}

.terms-text{
    color: black;
    margin-left: 1vw;
    line-height: 200%;
}

.accept-container{
    width: 100%;
    height: fit-content;
    margin-top: 1vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.accept {
    color: black;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 5vw;
    margin-left: 1%;
    margin-right: 0%;
}

.checkbox{
    transform: scale(10);
    margin-right: 50%;
}

.submit{
    display: none;
    transform: scale(4.5);
    margin-right: 16%;
    border: 2px solid rgb(255, 64, 64);
    border-radius: 4px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: bold;
    padding-bottom: 2px;
    opacity: 0;
}

.submit:hover {
    border: 4px solid rgb(255, 64, 64);
    background-color: rgb(255, 64, 64);
    color: white;
    cursor: pointer;
}

.pages-container{
    width: 100%;
    height: fit-content;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0%;
    display: none;
}

.henver-container, .seb-container, .anders-container {
    width: 100%;
    height: 57.5vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.391);
    opacity: 0;
    cursor: pointer;
    overflow: hidden;
    position: sticky;
}

.henver-container:hover {
    background-size: cover;
    opacity: 1;
    transition: background-image 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.henver-dance {
    position: absolute;
    top: 0;
    left: -1.6vw;
    z-index: 0;
    width: 150%;
    opacity: 0.9;
    transition: ease-in-out 0.5s;
}

.henver-header {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 5vw;
    text-shadow: 0px 4px 8px rgba(0, 0, 0, 0.5);
    z-index: 2;
    transform: scale(1);
    transition: transform 3s ease;
    color: white;
}

.seb-container:hover {
    background-size: cover;
    opacity: 0.95;
    transition: background-image 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.seb-dance {
    position: absolute;
    top: 0;
    left: -8vw;
    z-index: 0;
    width: 150%;
    opacity: 0.9;
    transition: ease-in-out 0.5s;
}

.seb-header {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 5vw;
    text-shadow: 0px 4px 8px rgba(0, 0, 0, 0.5);
    z-index: 2;
    transform: scale(1);
    transition: transform 3s ease;
    color: white;
}

.anders-container:hover {
    background-size: cover;
    opacity: 0.95;
    transition: background-image 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.anders-dance {
    position: absolute;
    top: 0;
    left: -8vw;
    z-index: 0;
    width: 150%;
    opacity: 0.9;
    transition: ease-in-out 0.5s;
    /* it is messed up in diff screen size */
}

.anders-header {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 5vw;
    text-shadow: 0px 4px 8px rgba(0, 0, 0, 0.5);
    z-index: 2;
    transform: scale(1);
    transition: transform 3s ease;
    color: white;
}


.video-container{
    z-index: -1;
    position: absolute;
    width: 100%;
    height: 100%;
}

.disco {
position: absolute;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  opacity: 0;
}
